package com.cpp.web.service.overhaulplan.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cpp.web.domain.overhaulplan.OverhaulPlanRecords;
import com.cpp.web.mapper.overhaulplan.OverhaulPlanRecordsMapper;
import com.cpp.web.service.overhaulplan.OverhaulPlanRecordsService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * cpp_overhaul_plan_records
 *
 * @author fxy
 * @date 2024-10-08 9:47:33
 */
@Service
@RequiredArgsConstructor
public class OverhaulPlanRecordsServiceImpl extends ServiceImpl<OverhaulPlanRecordsMapper, OverhaulPlanRecords> implements OverhaulPlanRecordsService {

    @Override
    public QueryWrapper<OverhaulPlanRecords> getByStationCode(String stationCode) {
        QueryWrapper<OverhaulPlanRecords> wrapper = new QueryWrapper<>();
        if (!"".equals(stationCode)) {
            wrapper.eq("station_code", stationCode);
        }
        return wrapper;
    }
}
